<?php

include 'load.php';

if(isset($_POST['save']))

{		

		$employee = $_POST['employee'];
		$mileages = $_POST['mileages'];
		$type = $_POST['type'];
		$status = $_POST['status'];
		$addby = $_SESSION['emid'];
		
		$imgFile = $_FILES['user_image']['name'];
		$tmp_dir = $_FILES['user_image']['tmp_name'];
		$imgSize = $_FILES['user_image']['size'];
		
		if(empty($employee)){
			$errMSG = "Please Select Employee.";
		}
		else if(empty($mileages)){
			$errMSG = "Please Enter Mileages.";
		}
		else if(empty($type)){
			$errMSG = "Please Enter type.";
		}
		else if(empty($status)){
			$errMSG = "Please Select Active Or Deactive.";
		}
		{
			$upload_dir = 'images/dailymeters/'; // upload directory
	
			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get imtype extension
		
			// valid imtype extensions
			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3' ); // valid extensions
		
			// rename uploading imtype
			$userpic = rand(1,1000000).".".$imgExt;
				
			// allow valid imtype file formats
			if(in_array($imgExt, $valid_extensions)){			
				// investck file size '100MB'
				if($imgSize < 100000000)				{
					move_uploaded_file($tmp_dir,$upload_dir.$userpic);
				}
				else{
					$errMSG = "Sorry, your file is too large.";
				}
			}
			else{
				$errMSG = "Sorry, only JPG, JPEG, PNG & GIF , DOCX & PDF files are allowed.";		
			}
		}
		// if no error occured, continue ....

		if(!isset($errMSG))

		{

			$stmt = $DB_con->prepare('INSERT INTO mobiledailymeters(employee,mileages,type,image,status,addby) VALUES(:employee,:mileages,:type,:upic,:status,:addby)');
			$stmt->bindParam(':employee',$employee);
			$stmt->bindParam(':mileages',$mileages);
			$stmt->bindParam(':type',$type);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':addby',$addby);
			if($stmt->execute())

			{

				$successMSG = "Successfully! Add Your Daily Meters....";

				header("refresh:2;dailymeterslist.php"); // redirects imtype view ptype after 5 seconds.

			}

			else

			{

				$errMSG = "error while inserting....";

			}

		}

	}

?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Add Daily Meters | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Add Daily Meters</h4>
<h6>Create new Daily Meters</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-messtype-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	

<div class="row">
<div class="col-lg-6 col-sm-6 col-12">
<div class="form-group">
<label>Employee</label>
<select name="employee" class="form-control select2" id="inputemployee" readonly>
										<?php

										$stmt = $DB_con->prepare("SELECT * FROM mobileemployee where emid='".$_SESSION['emid']."' ORDER BY emid");

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['emid']; ?>"><?php echo $row['emname']; ?> - <?php echo $row['emphonenumber']; ?></option>
										<?php 
										} 
										}
										?>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Address</label>
<input type="text" name="mileages" class="form-control" id="inputmileages" placeholder="Enter Address">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Type</label>
<select class="form-control" name="type" required>
<option value="Start">Start</option>
<option value="End">End</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="select" name="status" required>
<option value="1">Active</option>
<option value="0">Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label>Meter Photo</label>
<label for="user_image"><img src="assets/img/empty.png" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
<script>
function dis_name(){
var input = document.getElementById("user_image");
var fReader = new FileReader();
fReader.readAsDataURL(input.files[0]);
fReader.onloadend = function(event){
var img = document.getElementById("yourImgTag");
img.src = event.target.result;
}
}
</script>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="dailymeterslist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="save" class="btn btn-submit me-2">Save</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>

<?php
require_once 'footerjs.php';
?>
</body>
</html>